Bug 163882 - portupgrade of archivers/unrar-iconv has wrong patch
Summary: portupgrade of archivers/unrar-iconv has wrong patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-07 06:10 UTC by Yury
Modified: 2012-01-13 14:40 UTC (History)
1 user (show)

See Also:


Attachments
pr_163882_archivers_unrar-iconv.txt (707 bytes, text/plain)
2012-01-12 02:32 UTC, Michael Scheidell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yury 2012-01-07 06:10:10 UTC
Upgrading 'unrar-iconv-4.00,5' to 'unrar-iconv-4.10,5' failed due to
error applying patch file to strfn.cpp.
There are these strings in original
#ifdef _WIN_ALL
but patch assumes that they are
#if defined(_WIN_ALL)

Fix: 

substitute '#ifdef _WIN_ALL' for '#if defined(_WIN_ALL)' in files/patch-iconv (two places, that concern strfn.cpp)
How-To-Repeat: Try to portupgrade from 'unrar-iconv-4.00,5' to 'unrar-iconv-4.10,5'
Comment 1 Michael Scheidell freebsd_committer 2012-01-12 02:20:21 UTC
State Changed
From-To: open->feedback

Maintainer: please approve patch 



Comment 2 Michael Scheidell freebsd_committer 2012-01-12 02:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 3 Michael Scheidell 2012-01-12 02:32:01 UTC
Sorry, patch wasn't attached.  try again.
applied and compiles cleanly, see:

http://lorie.secnap.net/tb/logs/8-scheidell_AMD64/unrar-iconv-4.10,5.log
-- 
Michael Scheidell, CTO
SECNAP Network Security Corporation
(561) 999-5000 scheidell@secnap.net
http://www.secnap.com/

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 4 Michael Scheidell freebsd_committer 2012-01-13 14:34:07 UTC
State Changed
From-To: feedback->closed

Committed (sorry yarodin@gmail.com you wern't emailed by GNATS on this) 
Needed to force commit this due to a mistake I made earlier.
Comment 5 dfilter service freebsd_committer 2012-01-13 14:34:11 UTC
scheidell    2012-01-13 14:33:57 UTC

  FreeBSD ports repository

  Modified files:
    archivers/unrar-iconv/files patch-iconv 
  Log:
  - upgrading from 4.00,5 to 4.10,5 failed due to upstream change in strnfn.cpp
  - patch fixes this
  
  PR:             ports/163882
  Submitted by:   A.J. Kehoe IV (Nanoman)" <ibxht163@nanoman.ca>
  Approved by:    gabor (mentor, implicit)
  
  Revision  Changes    Path
  1.8       +0 -0      ports/archivers/unrar-iconv/files/patch-iconv
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"